Subject: Re: New setup.exe beta.
From: Pavel Tsekov <[email-masked]>
To: Robert Collins <[email-masked]>
Cc: [email-masked]
Date: Wed, 27 Nov 2002 12:00:58 +0100 (MET)

Hello,

> We're at that time again, where your testing directly influences the
> quality of setup.exe that you get to run.
> 
> So,
> at http://www.cygwin.com/setup-snapshots/ there is a new setup.exe
> snapshot, that is (as far as we know) devoid of major bugs.

1. If i try to install from local directory and point setup to a directory
which contains only setup.ini file no nothing else in it, setup.exe will
crash.

Here is the directory structure:

C:\..\cygwin_install
C:\..\cygwin_install\mirror1_dir
C:\..\cygwin_install\mirror2_dir
C:\..\cygwin_install\mirror3_dir

Lets assume that mirror_1 dir contains only setup.ini. Now if I point
setup.exe to cygwin_install it wont crash, but if I point it directly to
cygwin_install\mirror1_dir it crashes.

2. Setup.log contains some strange ouput if I do install from local
directory (havent tried the other modes yet). Look for a line which looks like this
in the attached setup.log file:

  2002/11/27 11:28:41 Warning, the default trust level for package

3. Seems like -src files without corresponding binary files are not MD5
checked. See the attached files setup.log.full.1 and dir.lst. Hint look for zip,
unzip and bash.

This was tested on a clean system (no cygwin, WinXp home just installed) and
'Install from local directory'

Sorry, but I really have no time to debug this right now.

-- 
+++ GMX - Mail, Messaging & more  http://www.gmx.net +++
NEU: Mit GMX ins Internet. Rund um die Uhr für 1 ct/ Min. surfen!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/